/* ==========================
   ROOT
========================== */
:root {
    /* Un rosa fuerte profesional */
    --primary-color: #ff9cce;
    /* Azul oscuro para contraste */
    --secondary-color: #083d77; 
    /*Blanco Central*/
    --accent-color: #f8f9fa; 
    /*Color de texto grisáceo*/
    --text-color: #333;
    /*Color neutro de fondo*/
    --back-color: #efeaf5;
    
}



* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'montserrat', 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}

/* ==========================
   BODY
========================== */
/*FONDO BODY (ESTA CONFIGURACIÓN ES SOLAMENTE PARA INDEX, EN LAS OTRAS PÁGINAS ES EL HEADER O SECCION HERO)*/
body {
    background: linear-gradient(180deg, #efeaf5, #c2ccd7);
    min-height: 100vh;
    justify-content: center;
    align-items: center;
    width: 100%;
}

/*DEFINICIÓN DE ESTILO PÁRRAFO*/
p {
    color: var(--text-color);
    line-height: 1.6;
    margin: 40px
}

/*DEFINICIÓN DE ESTILO PÁRRAFO SECCIÓN BANNER*/
.p-white {
    color: white;
}
p.blue {
    color: var(--secondary-color);
}

/*DEFINICIÓN DE H2*/
h2 {
    color: white;
    margin: 20px;
    text-align: center;
}

h2.blue {
    color: var(--secondary-color);
    margin: 20px;
    text-align: center;
}


/*DEFINICIÓN DE H3*/
h3 {
    color: var(--accent-color);
    margin: 20px;
}

/* ==========================
   SECCIÓN > HERO
========================== */

/* BASE SECCIÓN HERO */
.section-hero {
    /*height: 60vh;*/
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    height: 50rem; 
    
/* FOTOGRAFÍA DE FONDO */
    /* El linear-gradient hace la transparencia oscura */
    /* Verifica que la ruta sea: ../images/mujer_emprendedora.jpg */
    background: linear-gradient(rgba(0,0,0,0.5), rgba(140, 72, 72, 0.5)), 
                url('../images/mujer_emprendedora.jpg'); 
                mask-image: linear-gradient(to bottom, black 50%, transparent 100%);
    
    background-size: cover;
    background-position: center;
    color: white;
    margin-bottom: 40px;
}

/* TÍTULO */
.section-hero h1 { 
    font-size: 3.5rem;
    letter-spacing: 10px; }

/* CONTENEDOR DE BOTONES */
.hero-buttons {
    display: flex;
    gap: 20px;
    justify-content: center;
    margin-top: 30px;
}

/* ESTILO PARA BOTONES */
.hero-buttons a {
    text-decoration: none;
    margin-top: 250px;
    padding: 15px 35px;
    font-size: 1.1rem;
    font-weight: 600;
    border-radius: 50px;
    transition: all 0.3s ease;
    display: inline-block;
    text-transform: uppercase;
    letter-spacing: 1px;
}

/* BOTÓN PRIMARIO */
.btn {
  background-color: var(--secondary-color);
    color: white;
    border: none;
    padding: 15px 40px;
    font-size: 1.1rem;
    border-radius: 30px;
    cursor: pointer;
    margin-top: 20px;
}

/* TRANSICIÓN BOTÓN PRIMARIO */
.btn:hover {
    background-color:  #0b315a; 
    transform: translateY(-3px);
    box-shadow: 0 6px 20px rgba(214, 51, 132, 0.4);
}

/* BOTÓN SECUNDARIO */
.btn-secondary {
    background-color: var(--primary-color);
    color: var(--secondary-color);
}

/* TRANSICIÓN BOTÓN SECUNDARIO*/
.btn-secondary:hover {
    background-color: var(--secondary-color);
    color: white;
    transform: translateY(-3px);
}

/* ==========================
   TARJETAS    
========================== */

/* GRID */
.cards {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 20px;
    margin-bottom: 50px;
    margin-top: 50px;
    margin-left: 20px;
    margin-right: 20px;
}

/* ESTILO DE TARJETA */
.feature-card {
    background: var(--accent-color);
    padding: 30px;
    border-radius: 10px;
    text-align: center;
    transition: transform 0.3s;
    border-bottom: 4px solid var(--primary-color);
}

/* EFECTO DE TARJETA */
.feature-card:hover { transform: translateY(-10px); }

/*TITULO DE TARJETA*/
.cards h3 
{
    color: var(--text-color);
    margin: 15px 0;
}

/* SPAN DE TEXTO */
.feature-card i {
    font-size: 2.5rem;
    color: var(--primary-color);
    margin-bottom: 15px;
}

/* AJUSTE MOVILES */
@media (max-width: 600px) {
    .hero-buttons {
        flex-direction: column;
        align-items: center;
        gap: 15px;
    }
    
    .hero-buttons a {
        width: 80%;
        text-align: center;
    }
}

/* ==========================
   BANNER    
========================== */

/* ESTILO BANNER CTA */
.cta-banner {
    color: white;
    padding: 60px;
    border-radius: 15px;
    text-align: center;
}

